This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 174809 - CVE-2002-2185 IGMP DoS
CVE-2002-2185 IGMP DoS
Status: CLOSED DUPLICATE of bug 174808
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Graf
Brian Brock
public=20020625,impact=moderate
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-02 08:56 EST by Mark J. Cox (Product Security)
Modified: 2014-06-18 04:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-02 17:45:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-12-02 08:56:28 EST
+++ This bug was initially created as a clone of Bug #174807 +++

http://www.cs.ucsb.edu/~krishna/igmp_dos/

With IGMP version 1 and 2 it is possible to inject a unicast report to a client
which will make it ignore multicast reports sent later by the router.

The fix is to only accept the report if is was sent to a multicast or unicast
address.  Fix from David Stevens at IBM and will be made upstream shortly.

-- Additional comment from mjc@redhat.com on 2005-12-02 08:53 EST --
Created an attachment (id=121751)
proposed upstream patch
Comment 1 Ernie Petrides 2005-12-02 17:45:18 EST
This is apparently an accidental dup entry of bug 174808.

*** This bug has been marked as a duplicate of 174808 ***

Note You need to log in before you can comment on or make changes to this bug.